import { DemensionPagesInter } from './../../types'
import SheBaoRenShuVue from '@/components/ListCustom/SheBaoRenShu.vue'
import NianDuBaoGao from '@/components/DetailCustom/NianDuBaoGao.vue'
import CaiWuShuJu from '@/components/ListCustom/CaiWuShuJu.vue'
import { shallowRef } from 'vue'
export const JiBenXinXi: DemensionPagesInter = {
  projectName: '基本信息',
  list: [
    {
      code: 'empum',
      routing: 'SheBaoRenShu',
      title: '社保人数',
      listCustomRender: SheBaoRenShuVue
    },
    {
      routing: 'GuDongXinXiNew',
      code: 'shareholder_info_v8',
      title: '股东信息',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      viewList: [
        {
          companyId: 'holderId',
          value: 'holderName',
          valueType: 'avatar'
        },
        {
          // name: '股东名称',
          value: 'holderName',
          valueType: 'title',
          companyId: 'holderId'
        },

        {
          value: 'relateCompanyCount',
          companyId: 'holderId',
          companyName: 'holderName',
          valueType: 'related'
        },
        {
          name: '持股比例',
          value: 'percent',
          solt: (item: { percent: number }) => item.percent && (item.percent * 100).toFixed(4) + '%'
        },
        {
          name: '股东类型',
          value: 'holderType',
          solt: (item: { holderType: string }) => item.holderType == '1'
            ? '自然人股东'
            : item.holderType == '2'
              ? '企业法人'
              : '-'
        },
        {
          name: '认缴出资额',
          value: 'capital'
        },
        {
          name: '认缴出资时间',
          listVal: 'holderCapitals',
          value: 'time'
        },
        {
          name: '实缴出资额',
          listVal: 'holderActualCapitals',
          value: 'amomon'
        },
        {
          name: '实缴出资时间',
          listVal: 'holderActualCapitals',
          value: 'time'
        }
      ]
    },
    {
      routing: 'ZhuYaoRenYuanNew',
      code: 'eci_employees_v8',
      title: '主要人员',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      viewList: [
        {
          companyId: 'hid',
          value: 'staffName',
          valueType: 'avatar'
        },
        {
          value: 'relateCompanyCount',
          companyId: 'hid',
          companyName: 'staffName',
          valueType: 'related'
        },
        {
          valueType: 'title',
          value: 'staffName'
        },
        {
          name: '任职',
          value: 'staffType'
        }
      ]
    },
    {
      routing: 'DuiWaiTouZi',
      code: 'eci_invest',
      title: '对外投资',
      apiUrl: 'firefly-erp/eci/dimension/detail',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      viewList: [
        {
          value: 'name',
          valueType: 'title'
        },
        {
          name: '法定代表人',
          value: 'legalPersonName'
        },
        {
          name: '注册资本',
          value: 'regCapital'
        },
        {
          name: '投资比例',
          value: 'percent'
        },
        {
          name: '经营状态',
          value: 'regStatus'
        },
        {
          name: '成立日期',
          value: 'estiblishTime',
          valueType: 'date'
        },
        {
          name: '统一社会信用代码',
          value: 'creditCode'
        }
      ]
    },
    {
      routing: 'FenZhiJiGou',
      code: 'eci_branch',
      title: '分支机构',
      noDataList: true,
      apiUrl: 'firefly-erp/eci/dimension/detail',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      viewList: [
        {
          value: 'name',
          valueType: 'title'
        },
        {
          name: '法定代表人',
          value: 'legalPersonName'
        },
        {
          name: '注册资本',
          value: 'regCapital'
        },
        {
          name: '经营状态',
          value: 'regStatus'
        }
      ]
    },
    {
      routing: 'LiShiBianGeng',
      code: 'eci_changes',
      title: '历史变更',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      viewList: [
        {
          name: '变更项',
          value: 'changeItem'
        },
        {
          name: '变更时间',
          value: 'changeTime',
          valueType: 'date'
        },
        {
          name: '变更前',
          value: 'contentBefore'
        },
        {
          name: '变更后',
          value: 'contentAfter'
        }
      ]
    },
    {
      routing: 'QiYeNianBao',
      code: 'annual_report',
      title: '企业年报',
      noDataList: true,
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailCustomRender: shallowRef(NianDuBaoGao),
      viewList: [
        {
          valueType: 'title',
          value: 'reportYear',
          solt: (item: { reportYear: string }) => item.reportYear + '年度报告'
        }
      ]
    },
    {
      routing: 'CaiWuShuJu',
      code: 'financial_data',
      title: '财务数据',
      companyId: 'ab154ca9fbaeb0fe6ae3cfb17359855e',
      listCustomRender: shallowRef(CaiWuShuJu)
    }
  ]
}
